Name:		draksnapshot
Summary:	Snapshot utility
Group:		Archiving/Backup
Version:	0.20.3
Release:	%mkrel 6
License:	GPL
URL:	   	http://www.mandrivalinux.com
Source0:	%{name}-%{version}.tar.lzma
Patch0:		draksnapshot-applet-fix-due-to-new-perl.patch
Patch1:		draksnapshot-0.20.3-do-no-crash-without-hal.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gettext perl-MDK-Common-devel intltool
BuildArch: 	noarch
Requires:	rsnapshot
Requires:	drakxtools >= 10.59

%description
This is a backup program that uses rsync to take backup snapshots of
filesystems.  It uses hard links to save space on disk.

%prep
%setup -q
%patch0 -p0 -b .fix-due-to-new-perl
%patch1 -p1

%build
%make
perl -pi -e 's!my \$ver = 1;!my \$ver = '"'%version-%release'"';!' draksnapshot-applet

%install
%makeinstall_std PREFIX=%buildroot

# so that we remove cron entry on removal:
mkdir %{buildroot}%_sysconfdir/cron.d
touch %{buildroot}%_sysconfdir/cron.d/rsnapshot

%{find_lang} %{name}

%clean

%files -f %name.lang
%defattr(-,root,root)
%ghost %_sysconfdir/cron.d/rsnapshot
%_bindir/*
%_datadir/%{name}
%_datadir/autostart/autostart-draksnapshot.desktop
%_datadir/gnome/autostart/gnome-autostart-draksnapshot.desktop
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png
%_sbindir/*
%_sysconfdir/X11/xinit.d/draksnapshot-applet.xinit
%perl_vendorlib/MDV


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.20.3-6.mga3
+ Revision: 349092
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + malo <malo>
    - update RPM group

* Mon Sep 24 2012 blino <blino> 0.20.3-5.mga3
+ Revision: 297238
- do not require hal anymore, it is deprecated, draksnapshot should be ported to udisks2 (#7565)
- fix crash when hal is not running (#3032)

* Thu Jul 05 2012 zezinho <zezinho> 0.20.3-4.mga3
+ Revision: 267865
- cleanup spec

  + ennael <ennael>
    - fix post and postun

* Mon Jun 20 2011 ze <ze> 0.20.3-3.mga2
+ Revision: 110233
+ rebuild (emptylog)

* Mon Jun 20 2011 ze <ze> 0.20.3-2.mga2
+ Revision: 110229
- fixed draksnapshot-applet crash due perl changes
- some minor arranges
- use rpm native macro instead variables

* Wed Feb 09 2011 ennael <ennael> 0.20.3-2.mga1
+ Revision: 49567
- clean mdk version
- imported package draksnapshot

